/* -*- C++ -*- */

/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 2002 The Apache Software Foundation.  All rights
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "SOAP" and "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 */

// Calculator.cpp : A simple Testharness
//

#include "Platform.hpp"
#include <iostream>
#include "ServiceFactory.hpp"
#include "Call.hpp" 


void main(int argc, char* argv[])
{
	const std::string endpoint = "http://127.0.0.1:8080/axis/Calculator.jws";

	Call  *call = ServiceFactory::CreateCall();

	int a = 100;
	int b = 200;

	call->SetTargetEndpointAddress(endpoint.c_str());
    call->AddParameter("a", a, Call::IN_PARAM);
	call->AddParameter("b", b, Call::IN_PARAM);
    call->SetOperationName("add");
	
	void* ret = call->Invoke();

	// The result should be casted to the user required type 
	if(ret)
	{
		std::cout << "The Accumulated Result: " << (*(int*)ret) << std::endl;

		delete (int*)ret; 
	}

	call->SetOperationName("subtract");
	
	ret = call->Invoke();

	// The result should be casted to the user required type
	if(ret)
	{
		std::cout << "The Subtracted Result: " << (*(int*)ret) << std::endl;

		delete (int*)ret; 
	}

	call->SetOperationName("multiply");
	ret = call->Invoke();

	// The result should be casted to the user required type
	if(ret)
	{
		std::cout << "The Multiplied Result: " << (*(int*)ret) << std::endl;

		delete (int*)ret; 
	}

	delete call;
}
